Name:		weboob
Epoch:		2
Version:	1.2
Release:	%mkrel 3
Summary:	Provides several applications to interact with a lot of websites
Group:		Networking/Other
License:	AGPLv3+
URL:		http://weboob.org/
Source0:	https://weboob.org/attachments/download/342/%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	python-setuptools
BuildRequires:	python-qt5-devel

Requires:	python-qt5-gui
Requires:	python-qt5-multimedia
Requires:	python-qt5-multimediawidgets
Requires:	python-qt5-network
Requires:	python-qt5-widgets
Requires:	python-sip
Requires:	python-six
Requires:	gstreamer0.10-rtmp
Recommends:	python-html2text
Recommends:	python-nose
Recommends:	python-pdfminer
Recommends:	python-simplejson


%description
Why using Weboob?
* You get information faster;
* You can script around weboob to automate tasks;
* It extends websites features;
* It helps blind people use crappy websites.

%prep
%setup -q

%build
%py2_build -- --qt --hildon

%install
%py2_install

%files
%doc AUTHORS ChangeLog README
%{python2_sitelib}/modules/
%{python2_sitelib}/%{name}/
%{python2_sitelib}/%{name}-*.egg-info
%{_bindir}/*
%{_iconsdir}/hicolor/64x64/apps/*.png
%{_datadir}/applications/*.desktop
%{_mandir}/man1/*


%changelog
* Sat Jan 28 2017 daviddavid <daviddavid> 2:1.2-3.mga6
+ Revision: 1083829
- let's use fixed python macros with one or more arguments

* Fri Jan 13 2017 daviddavid <daviddavid> 2:1.2-2.mga6
+ Revision: 1081542
- fix some python-qt5 dependencies (multimedia,multimediawidgets,network,widgets)
- recommends python-simplejson

* Fri Jan 13 2017 zezinho <zezinho> 2:1.2-1.mga6
+ Revision: 1081261
- new modules path
- migrate from Qt4 to Qt5
- new version 1.2 - add recommend for pdfminer as it is needed by the bp bank backend

* Mon Jun 27 2016 akien <akien> 2:1.1-3.mga6
+ Revision: 1037821
- Rebuild in core/release

* Sat Jun 25 2016 akien <akien> 2:1.1-2.mga6
+ Revision: 1037520
- Rebuild for python-sip 4.18

* Thu Feb 18 2016 daviddavid <daviddavid> 2:1.1-1.mga6
+ Revision: 966656
- new version: 1.1
- use more new python macros

* Sat Dec 12 2015 daviddavid <daviddavid> 2:1.0-3.mga6
+ Revision: 909645
- enable module masstransit with --hildon setup option

* Sat Nov 21 2015 daviddavid <daviddavid> 2:1.0-2.mga6
+ Revision: 904768
- enable properly the Qt4 graphical application (fix mga#17193)
- remove all unneeded Requires/Recommends as they are already auto-required
- move Epoch below the point it's used in .spec
- use new python macros

* Sun Nov 09 2014 ofaurax <ofaurax> 2:1.0-1.mga6
+ Revision: 796155
- Never donwgrade an epoch!
- Update to weboob 1.0

* Wed Oct 15 2014 umeabot <umeabot> 2:0.i.1-5.mga5
+ Revision: 741830
- Second Mageia 5 Mass Rebuild

* Mon Oct 06 2014 zezinho <zezinho> 2:0.i.1-4.mga5
+ Revision: 737035
- add weboob-config runtime requires

* Sat Sep 27 2014 tv <tv> 2:0.i.1-3.mga5
+ Revision: 730728
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2:0.i.1-2.mga5
+ Revision: 690288
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Mon Jul 28 2014 wally <wally> 2:0.i.1-1.mga5
+ Revision: 657752
- new version 0.i.1

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 2:0.g-3.mga4
+ Revision: 544597
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2:0.g-2.mga4
+ Revision: 499993
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Aug 04 2013 ofaurax <ofaurax> 2:0.g-1.mga4
+ Revision: 463617
- Removed patch integrated in last version
- New version 0.g

* Sat Jul 13 2013 blino <blino> 2:0.f-2.mga4
+ Revision: 453883
- add upstream patch to use Pillow instead of PIL (which is obsolete)

* Tue May 28 2013 dams <dams> 2:0.f-1.mga4
+ Revision: 429028
- clean specfile

  + dglent <dglent>
    - New version 0.f
    - Add dependency python-feedparser

* Sat Feb 23 2013 blino <blino> 1:0.e-3.mga3
+ Revision: 400107
- suggest python-prettytable

* Mon Jan 28 2013 zezinho <zezinho> 1:0.e-2.mga3
+ Revision: 393059
- qvideoob needs gstreamer0.10-rtmp for arte module
- requires, not suggests
- add requires python-cssselect

* Mon Jan 14 2013 umeabot <umeabot> 1:0.c-2.mga3
+ Revision: 385671
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Aug 19 2012 juancho <juancho> 1:0.c-1.mga3
+ Revision: 282145
- Added Epoch tag because new versioning of weboob changed and new one is treated as older than the current version on cauldron.
- Added missing BR, see bug #6632

  + dglent <dglent>
    - New version 0.c
    - Add source tarball 0.b
    - New version 0.b

* Wed Dec 21 2011 ofaurax <ofaurax> 0.9.1-2.mga2
+ Revision: 185540
- add missing suggests

* Sun Dec 18 2011 ofaurax <ofaurax> 0.9.1-1.mga2
+ Revision: 183823
- New version 0.9.1 + suggests python-mechanize
- weboob 0.8.5 changed the license from GPLv3 to AGPLv3+

* Sat Oct 01 2011 ofaurax <ofaurax> 0.8.5-1.mga2
+ Revision: 150752
- new version 0.8.5

* Mon May 02 2011 ofaurax <ofaurax> 0.7-2.mga1
+ Revision: 94299
- silent: bump release
- Missing Requires #864

* Sun Apr 17 2011 ofaurax <ofaurax> 0.7-1.mga1
+ Revision: 86888
- imported package weboob


* Sat Apr 16 2011 Olivier Faurax <ofaurax@mandriva.org> 0.7-1mdv2011.0
+ Revision: 653865
- New version 0.7

* Mon Dec 06 2010 Olivier Faurax <ofaurax@mandriva.org> 0.4-1mdv2011.0
+ Revision: 613040
- New version: 0.4
- Use lzma instead of xz on old systems + correct double listing

* Sun Nov 21 2010 Olivier Faurax <ofaurax@mandriva.org> 0.3-1mdv2011.0
+ Revision: 599471
- Adding initial version

  + Olivier Blin <oblin@mandriva.com>
    - Created package structure for weboob.

